﻿--[[
Name: Babble-Zone-2.2
Revision: $Rev: 54266 $
Author(s): ckknight (ckknight@gmail.com)
Website: http://ckknight.wowinterface.com/
Documentation: http://wiki.wowace.com/index.php/Babble-Zone-2.2
SVN: http://svn.wowace.com/root/trunk/Babble-2.2/Babble-Zone-2.2
Description: A library to provide localizations for zones.
Dependencies: AceLibrary, AceLocale-2.2
License: MIT
]]

local MAJOR_VERSION = "Babble-Zone-2.2"
local MINOR_VERSION = tonumber(string.sub("$Revision: 54266 $", 12, -3))

if not AceLibrary then error(MAJOR_VERSION .. " requires AceLibrary") end

if not AceLibrary:HasInstance("AceLocale-2.2") then error(MAJOR_VERSION .. " requires AceLocale-2.2") end

local _, x = AceLibrary("AceLocale-2.2"):GetLibraryVersion()
MINOR_VERSION = MINOR_VERSION * 100000 + x

if not AceLibrary:IsNewVersion(MAJOR_VERSION, MINOR_VERSION) then return end

local BabbleZone = AceLibrary("AceLocale-2.2"):new(MAJOR_VERSION)

-- uncomment below for debug information
-- BabbleZone:EnableDebugging()

BabbleZone:RegisterTranslations("enUS", function()
	return {
		["Azeroth"] = true,
		["Eastern Kingdoms"] = true,
		["Kalimdor"] = true,
		["Outland"] = true,
		["Cosmic map"] = true,

		["Ahn'Qiraj"] = true,
		["Alterac Mountains"] = true,
		["Alterac Valley"] = true,
		["Arathi Basin"] = true,
		["Arathi Highlands"] = true,
		["Ashenvale"] = true,
		["Auberdine"] = true,
		["Azshara"] = true,
		["Badlands"] = true,
		["The Barrens"] = true,
		["Blackfathom Deeps"] = true,
		["Blackrock Depths"] = true,
		["Blackrock Mountain"] = true,
		["Blackrock Spire"] = true,
		["Blackwing Lair"] = true,
		["Blasted Lands"] = true,
		["Booty Bay"] = true,
		["Burning Steppes"] = true,
		["Darkshore"] = true,
		["Darnassus"] = true,
		["The Deadmines"] = true,
		["Deadwind Pass"] = true,
		["Deeprun Tram"] = true,
		["Desolace"] = true,
		["Dire Maul"] = true,
		["Dire Maul (East)"] = true,
		["Dire Maul (West)"] = true,
		["Dire Maul (North)"] = true,
		["Dun Morogh"] = true,
		["Durotar"] = true,
		["Duskwood"] = true,
		["Dustwallow Marsh"] = true,
		["Eastern Plaguelands"] = true,
		["Elwynn Forest"] = true,
		["Everlook"] = true,
		["Felwood"] = true,
		["Feralas"] = true,
		["The Forbidding Sea"] = true,
		["Gadgetzan"] = true,
		["Gates of Ahn'Qiraj"] = true,
		["Gnomeregan"] = true,
		["The Great Sea"] = true,
		["Grom'gol Base Camp"] = true,
		["Hall of Legends"] = true,
		["Hillsbrad Foothills"] = true,
		["The Hinterlands"] = true,
		["Hyjal"] = true,
		["Hyjal Summit"] = true,
		["Ironforge"] = true,
		["Loch Modan"] = true,
		["Lower Blackrock Spire"] = true,
		["Maraudon"] = true,
		["Menethil Harbor"] = true,
		["Molten Core"] = true,
		["Moonglade"] = true,
		["Mulgore"] = true,
		["Naxxramas"] = true,
		["Onyxia's Lair"] = true,
		["Orgrimmar"] = true,
		["Ratchet"] = true,
		["Ragefire Chasm"] = true,
		["Razorfen Downs"] = true,
		["Razorfen Kraul"] = true,
		["Redridge Mountains"] = true,
		["Ruins of Ahn'Qiraj"] = true,
		["Scarlet Monastery"] = true,
		["Scholomance"] = true,
		["Searing Gorge"] = true,
		["Shadowfang Keep"] = true,
		["Silithus"] = true,
		["Silverpine Forest"] = true,
		["The Stockade"] = true,
		["Stonetalon Mountains"] = true,
		["Stormwind City"] = true,
		["Stranglethorn Vale"] = true,
		["Stratholme"] = true,
		["Swamp of Sorrows"] = true,
		["Tanaris"] = true,
		["Teldrassil"] = true,
		["Temple of Ahn'Qiraj"] = true,
		["The Temple of Atal'Hakkar"] = true,
		["Theramore Isle"] = true,
		["Thousand Needles"] = true,
		["Thunder Bluff"] = true,
		["Tirisfal Glades"] = true,
		["Uldaman"] = true,
		["Un'Goro Crater"] = true,
		["Undercity"] = true,
		["Upper Blackrock Spire"] = true,
		["Wailing Caverns"] = true,
		["Warsong Gulch"] = true,
		["Western Plaguelands"] = true,
		["Westfall"] = true,
		["Wetlands"] = true,
		["Winterspring"] = true,
		["Zul'Farrak"] = true,
		["Zul'Gurub"] = true,

		["Champions' Hall"] = true,
		["Blade's Edge Arena"] = true,
		["Nagrand Arena"] = true,
		["Ruins of Lordaeron"] = true,
		["Twisting Nether"] = true,
		["The Veiled Sea"] = true,
		["The North Sea"] = true,
		["Armory"] = true,
		["Library"] = true,
		["Cathedral"] = true,
		["Graveyard"] = true,

		-- Burning Crusade

		-- Subzones used for displaying instances.
		["Plaguewood"] = true,
		["Hellfire Citadel"] = true,
		["Auchindoun"] = true,
		["The Bone Wastes"] = true, -- Substitute for Auchindoun, since this is what shows on the minimap.
		["Ring of Observance"] = true,
		["Coilfang Reservoir"] = true,

		["Azuremyst Isle"] = true,
		["Bloodmyst Isle"] = true,
		["Eversong Woods"] = true,
		["Ghostlands"] = true,
		["The Exodar"] = true,
		["Silvermoon City"] = true,
		["Shadowmoon Valley"] = true,
		["Black Temple"] = true,
		["Terokkar Forest"] = true,
		["Auchenai Crypts"] = true,
		["Mana-Tombs"] = true,
		["Shadow Labyrinth"] = true,
		["Sethekk Halls"] = true,
		["Hellfire Peninsula"] = true,
		["The Dark Portal"] = true,
		["Hellfire Ramparts"] = true,
		["The Blood Furnace"] = true,
		["The Shattered Halls"] = true,
		["Magtheridon's Lair"] = true,
		["Nagrand"] = true,
		["Zangarmarsh"] = true,
		["The Slave Pens"] = true,
		["The Underbog"] = true,
		["The Steamvault"] = true,
		["Serpentshrine Cavern"] = true,
		["Blade's Edge Mountains"] = true,
		["Gruul's Lair"] = true,
		["Netherstorm"] = true,
		["Tempest Keep"] = true,
		["The Mechanar"] = true,
		["The Botanica"] = true,
		["The Arcatraz"] = true,
		["The Eye"] = true,
		["Eye of the Storm"] = true,
		["Shattrath City"] = true,
		["Karazhan"] = true,
		["Caverns of Time"] = true,
		["Old Hillsbrad Foothills"] = true,
		["The Black Morass"] = true,
		["Night Elf Village"] = true,
		["Horde Encampment"] = true,
		["Alliance Base"] = true,
		["Zul'Aman"] = true,
	}
end)

BabbleZone:RegisterTranslations("deDE", function()
	return {
		["Azeroth"] = "Azeroth",
		["Eastern Kingdoms"] = "\195\150stliche K\195\182nigreiche",
		["Kalimdor"] = "Kalimdor",
		["Outland"] = "Scherbenwelt",
		["Cosmic map"] = "Kosmische Karte",

		["Ahn'Qiraj"] = "Ahn'Qiraj",
		["Alterac Mountains"] = "Alteracgebirge",
		["Alterac Valley"] = "Alteractal",
		["Arathi Basin"] = "Arathibecken",
		["Arathi Highlands"] = "Arathihochland",
		["Ashenvale"] = "Eschental",
		["Auberdine"] = "Auberdine",
		["Azshara"] = "Azshara",
		["Badlands"] = "\195\150dland",
		["The Barrens"] = "Brachland",
		["Blackfathom Deeps"] = "Tiefschwarze Grotte",
		["Blackrock Depths"] = "Schwarzfelstiefen",
		["Blackrock Mountain"] = "Der Schwarzfels",
		["Blackrock Spire"] = "Schwarzfelsspitze",
		["Blackwing Lair"] = "Pechschwingenhort",
		["Blasted Lands"] = "Verw\195\188stete Lande",
		["Booty Bay"] = "Beutebucht",
		["Burning Steppes"] = "Brennende Steppe",
		["Darkshore"] = "Dunkelk\195\188ste",
		["Darnassus"] = "Darnassus",
		["The Deadmines"] = "Die Todesminen",
		["Deadwind Pass"] = "Gebirgspass der Totenwinde",
		["Deeprun Tram"] = "Die Tiefenbahn",
		["Desolace"] = "Desolace",
		["Dire Maul"] = "D\195\188sterbruch",
		["Dire Maul (North)"] = "D\195\188sterbruch (Nord)",
		["Dire Maul (East)"] = "D\195\188sterbruch (Ost)",
		["Dire Maul (West)"] = "D\195\188sterbruch (West)",
		["Dun Morogh"] = "Dun Morogh",
		["Durotar"] = "Durotar",
		["Duskwood"] = "D\195\164mmerwald",
		["Dustwallow Marsh"] = "D\195\188stermarschen",
		["Eastern Plaguelands"] = "\195\150stliche Pestl\195\164nder",
		["Elwynn Forest"] = "Wald von Elwynn",
		["Everlook"] = "Ewige Warte",
		["Felwood"] = "Teufelswald",
		["Feralas"] = "Feralas",
		["The Forbidding Sea"] = "Das verbotene Meer",
		["Gadgetzan"] = "Gadgetzan",
		["Gates of Ahn'Qiraj"] = "Tore von Ahn'Qiraj",
		["Gnomeregan"] = "Gnomeregan",
		["Grom'gol Base Camp"] = "Basislager von Grom'gol",
		["The Great Sea"] = "Das gro\195\159e Meer",
		["Hall of Legends"] = "Halle der Legenden",
		["Hillsbrad Foothills"] = "Vorgebirge des H\195\188gellands",
		["The Hinterlands"] = "Hinterland",
		["Hyjal"] = "Hyjal",
		["Hyjal Summit"] = "Hyjalgipfel",
		["Ironforge"] = "Eisenschmiede",
		["Loch Modan"] = "Loch Modan",
		["Lower Blackrock Spire"] = "Untere Schwarzfelsspitze",
		["Maraudon"] = "Maraudon",
		["Menethil Harbor"] = "Hafen von Menethil",
		["Molten Core"] = "Geschmolzener Kern",
		["Moonglade"] = "Mondlichtung",
		["Mulgore"] = "Mulgore",
		["Naxxramas"] = "Naxxramas",
		["Onyxia's Lair"] = "Onyxias Hort",
		["Orgrimmar"] = "Orgrimmar",
		["Ratchet"] = "Ratschet",
		["Ragefire Chasm"] = "Der Flammenschlund",
		["Razorfen Downs"] = "H\195\188gel der Klingenhauer",
		["Razorfen Kraul"] = "Kral der Klingenhauer",
		["Redridge Mountains"] = "Rotkammgebirge",
		["Ruins of Ahn'Qiraj"] = "Ruinen von Ahn'Qiraj",
		["Scarlet Monastery"] = "Das Scharlachrote Kloster",
		["Scholomance"] = "Scholomance",
		["Searing Gorge"] = "Sengende Schlucht",
		["Shadowfang Keep"] = "Burg Schattenfang",
		["Silithus"] = "Silithus",
		["Silverpine Forest"] = "Silberwald",
		["The Stockade"] = "Das Verlies",
		["Stonetalon Mountains"] = "Steinkrallengebirge",
		["Stormwind City"] = "Sturmwind",
		["Stranglethorn Vale"] = "Schlingendorntal",
		["Stratholme"] = "Stratholme",
		["Swamp of Sorrows"] = "S\195\188mpfe des Elends",
		["Tanaris"] = "Tanaris",
		["Teldrassil"] = "Teldrassil",
		["Temple of Ahn'Qiraj"] = "Tempel von Ahn'Qiraj",
		["The Temple of Atal'Hakkar"] = "Der Tempel von Atal'Hakkar",
		["Theramore Isle"] = "Insel Theramore",
		["Thousand Needles"] = "Tausend Nadeln",
		["Thunder Bluff"] = "Donnerfels",
		["Tirisfal Glades"] = "Tirisfal",
		["Uldaman"] = "Uldaman",
		["Un'Goro Crater"] = "Krater von Un'Goro",
		["Undercity"] = "Unterstadt",
		["Upper Blackrock Spire"] = "Obere Schwarzfelsspitze",
		["Wailing Caverns"] = "Die H\195\182hlen des Wehklagens",
		["Warsong Gulch"] = "Kriegshymnenschlucht",
		["Western Plaguelands"] = "Westliche Pestl\195\164nder",
		["Westfall"] = "Westfall",
		["Wetlands"] = "Sumpfland",
		["Winterspring"] = "Winterquell",
		["Zul'Farrak"] = "Zul'Farrak",
		["Zul'Gurub"] = "Zul'Gurub",

		["Champions' Hall"] = "Halle der Champions",
		["Blade's Edge Arena"] = "Arena des Schergrats",
		["Nagrand Arena"] = "Arena von Nagrand",
		["Ruins of Lordaeron"] = "Ruinen von Lordaeron",
		["Twisting Nether"] = "Wirbelnder Nether",
		["The Veiled Sea"] = "Das verh\195\188llte Meer",
		["The North Sea"] = "Das N\195\182rdliche Meer",
		["Armory"] = "Waffenkammer",
		["Library"] = "Bibliothek",
		["Cathedral"] = "Kathedrale",
		["Graveyard"] = "Friedhof",

		-- Burning Crusade

		-- Subzones used for displaying instances.
		["Plaguewood"] = "Seuchenwald",
		["Hellfire Citadel"] = "H\195\182llenfeuerzitadelle",
		["Auchindoun"] = "Auchindoun",
		["The Bone Wastes"] = "Die Knochenw\195\188ste", -- Substitute for Auchindoun, since this is what shows on the minimap.
		["Ring of Observance"] = "Ring der Beobachtung",
		["Coilfang Reservoir"] = "Der Echsenkessel",

		["Azuremyst Isle"] = "Azurmythosinsel",
		["Bloodmyst Isle"] = "Blutmythosinsel",
		["Eversong Woods"] = "Immersangwald",
		["Ghostlands"] = "Geisterlande",
		["The Exodar"] = "Die Exodar",
		["Silvermoon City"] = "Silbermond",
		["Shadowmoon Valley"] = "Schattenmondtal",
		["Black Temple"] = "Der Schwarze Tempel",
		["Terokkar Forest"] = "W\195\164lder von Terokkar",
		["Auchenai Crypts"] = "Auchenaikrypta",
		["Mana-Tombs"] = "Managruft",
		["Shadow Labyrinth"] = "Schattenlabyrinth",
		["Sethekk Halls"] = "Sethekkhallen",
		["Hellfire Peninsula"] = "H\195\182llenfeuerhalbinsel",
		["The Dark Portal"] = "Das Dunkle Portal",
		["Hellfire Ramparts"] = "H\195\182llenfeuerbollwerk",
		["The Blood Furnace"] = "Der Blutkessel",
		["The Shattered Halls"] = "Die zerschmetterten Hallen",
		["Magtheridon's Lair"] = "Magtheridons Kammer",
		["Nagrand"] = "Nagrand",
		["Zangarmarsh"] = "Zangarmarschen",
		["The Slave Pens"] = "Die Sklavenunterk\195\188nfte",
		["The Underbog"] = "Der Tiefensumpf",
		["The Steamvault"] = "Die Dampfkammer",
		["Serpentshrine Cavern"] = "Höhle des Schlangenschreins",
		["Blade's Edge Mountains"] = "Schergrat",
		["Gruul's Lair"] = "Gruuls Unterschlupf",
		["Netherstorm"] = "Nethersturm",
		["Tempest Keep"] = "Festung der St\195\188rme",
		["The Mechanar"] = "Die Mechanar",
		["The Botanica"] = "Die Botanika",
		["The Arcatraz"] = "Die Arkatraz",
		["The Eye"] = "Das Auge",
		["Eye of the Storm"] = "Auge des Sturms",
		["Shattrath City"] = "Shattrath",
		["Karazhan"] = "Karazhan",
		["Caverns of Time"] = "Die H\195\182hlen der Zeit",
		["Old Hillsbrad Foothills"] = "Vorgebirge des Alten H\195\188gellands",
		["The Black Morass"] = "Der schwarze Morast",
		["Night Elf Village"] = "Nachtelfen Dorf",
		["Horde Encampment"] = "Horde Lager",
		["Alliance Base"] = "Allianz Basis",
		["Zul'Aman"] = "Zul'Aman",
	}
end)

BabbleZone:RegisterTranslations("frFR", function()
	return {
		["Azeroth"] = "Azeroth",
		["Eastern Kingdoms"] = "Royaumes de l'est",
		["Kalimdor"] = "Kalimdor",
		["Outland"] = "Outreterre",
		["Cosmic map"] = "Carte cosmique",

		["Ahn'Qiraj"] = "Ahn'Qiraj",
		["Alterac Mountains"] = "Montagnes d'Alterac",
		["Alterac Valley"] = "Vallée d'Alterac",
		["Arathi Basin"] = "Bassin d'Arathi",
		["Arathi Highlands"] = "Hautes-terres d'Arathi",
		["Ashenvale"] = "Orneval",
		["Auberdine"] = "Auberdine",
		["Azshara"] = "Azshara",
		["Badlands"] = "Terres ingrates",
		["The Barrens"] = "Les Tarides",
		["Blackfathom Deeps"] = "Profondeurs de Brassenoire",
		["Blackrock Depths"] = "Profondeurs de Rochenoire",
		["Blackrock Mountain"] = "Mont Rochenoire",
		["Blackrock Spire"] = "Pic Rochenoire",
		["Blackwing Lair"] = "Repaire de l'Aile noire",
		["Blasted Lands"] = "Terres foudroyées",
		["Booty Bay"] = "Baie-du-Butin",
		["Burning Steppes"] = "Steppes ardentes",
		["Darkshore"] = "Sombrivage",
		["Darnassus"] = "Darnassus",
		["The Deadmines"] = "Les Mortemines",
		["Deadwind Pass"] = "Défilé de Deuillevent",
		["Deeprun Tram"] = "Tram des profondeurs",
		["Desolace"] = "Désolace",
		["Dire Maul"] = "Hache-tripes",
		["Dire Maul (East)"] = "Hache-tripes (Est)",
		["Dire Maul (West)"] = "Hache-tripes (Ouest)",
		["Dire Maul (North)"] = "Hache-tripes (Nord)",
		["Dun Morogh"] = "Dun Morogh",
		["Durotar"] = "Durotar",
		["Duskwood"] = "Bois de la Pénombre",
		["Dustwallow Marsh"] = "Marécage d'Âprefange",
		["Eastern Plaguelands"] = "Maleterres de l'est",
		["Elwynn Forest"] = "Forêt d'Elwynn",
		["Everlook"] = "Long-guet",
		["Felwood"] = "Gangrebois",
		["Feralas"] = "Féralas",
		["The Forbidding Sea"] = "La Mer interdite",
		["Gadgetzan"] = "Gadgetzan",
		["Gates of Ahn'Qiraj"] = "Portes d'Ahn'Qiraj",
		["Gnomeregan"] = "Gnomeregan",
		["Grom'gol Base Camp"] = "Campement Grom'gol",
		["The Great Sea"] = "La Grande mer",
		["Hall of Legends"] = "Hall des Légendes",
		["Hillsbrad Foothills"] = "Contreforts de Hautebrande",
		["The Hinterlands"] = "Les Hinterlands",
		["Hyjal"] = "Hyjal",
		["Hyjal Summit"] = "Sommet d'Hyjal",
		["Ironforge"] = "Forgefer",
		["Loch Modan"] = "Loch Modan",
		["Lower Blackrock Spire"] = "Pic de Rochenoire inférieur",
		["Maraudon"] = "Maraudon",
		["Menethil Harbor"] = "Port de Menethil",
		["Molten Core"] = "Cœur du Magma",
		["Moonglade"] = "Reflet-de-Lune",
		["Mulgore"] = "Mulgore",
		["Onyxia's Lair"] = "Repaire d'Onyxia",
		["Naxxramas"] = "Naxxramas",
		["Orgrimmar"] = "Orgrimmar",
		["Ratchet"] = "Cabestan",
		["Ragefire Chasm"] = "Gouffre de Ragefeu",
		["Razorfen Downs"] = "Souilles de Tranchebauge",
		["Razorfen Kraul"] = "Kraal de Tranchebauge",
		["Redridge Mountains"] = "Les Carmines",
		["Ruins of Ahn'Qiraj"] = "Ruines d'Ahn'Qiraj",
		["Scarlet Monastery"] = "Monastère écarlate",
		["Scholomance"] = "Scholomance",
		["Searing Gorge"] = "Gorge des Vents brûlants",
		["Shadowfang Keep"] = "Donjon d'Ombrecroc",
		["Silithus"] = "Silithus",
		["Silverpine Forest"] = "Forêt des Pins argentés",
		["The Stockade"] = "La Prison",
		["Stonetalon Mountains"] = "Les Serres-Rocheuses",
		["Stormwind City"] = "Hurlevent",
		["Stranglethorn Vale"] = "Vallée de Strangleronce",
		["Stratholme"] = "Stratholme",
		["Swamp of Sorrows"] = "Marais des Chagrins",
		["Tanaris"] = "Tanaris",
		["Teldrassil"] = "Teldrassil",
		["Temple of Ahn'Qiraj"] = "Le temple d'Ahn'Qiraj",
		["The Temple of Atal'Hakkar"] = "Le temple d'Atal'Hakkar",
		["Theramore Isle"] = "Ile de Theramore",
		["Thousand Needles"] = "Mille pointes",
		["Thunder Bluff"] = "Les Pitons du Tonnerre",
		["Tirisfal Glades"] = "Clairières de Tirisfal",
		["Uldaman"] = "Uldaman",
		["Un'Goro Crater"] = "Cratère d'Un'Goro",
		["Undercity"] = "Fossoyeuse",
		["Upper Blackrock Spire"] = "Pic de Rochenoire supérieur",
		["Wailing Caverns"] = "Cavernes des lamentations",
		["Warsong Gulch"] = "Goulet des Chanteguerres",
		["Western Plaguelands"] = "Maleterres de l'ouest",
		["Westfall"] = "Marche de l'Ouest",
		["Wetlands"] = "Les Paluns",
		["Winterspring"] = "Berceau-de-l'Hiver",
		["Zul'Farrak"] = "Zul'Farrak",
		["Zul'Gurub"] = "Zul'Gurub",

		["Champions' Hall"] = "Hall des Champions",
		["Blade's Edge Arena"] = "Arène des Tranchantes",
		["Nagrand Arena"] = "Arène de Nagrand",
		["Ruins of Lordaeron"] = "Ruines de Lordaeron",
		["Twisting Nether"] = "Le Néant distordu",
		["The Veiled Sea"] = "La Mer voilée",
		["The North Sea"] = "La mer Boréale",
		["Armory"] = "Armurerie",
		["Library"] = "Bibliothèque",
		["Cathedral"] = "Cathédrale",
		["Graveyard"] = "Cimetière",

		-- Burning Crusade

		-- Subzones used for displaying instances.
		["Plaguewood"] = "Pestebois",
		["Hellfire Citadel"] = "Citadelle des Flammes infernales",
		["Auchindoun"] = "Auchindoun",
		["The Bone Wastes"] = "Le désert des Ossements", -- Substitute for Auchindoun, since this is what shows on the minimap.
		["Ring of Observance"] = "Cercle d'observance",
		["Coilfang Reservoir"] = "Réservoir de Glissecroc",

		["Azuremyst Isle"] = "Ile de Brume-azur",
		["Bloodmyst Isle"] = "Ile de Brume-sang",
		["Eversong Woods"] = "Bois des Chants éternels",
		["Ghostlands"] = "Les Terres fantômes",
		["The Exodar"] = "L'Exodar",
		["Silvermoon City"] = "Lune-d'argent",
		["Shadowmoon Valley"] = "Vallée d'Ombrelune",
		["Black Temple"] = "Temple noir",
		["Terokkar Forest"] = "Forêt de Terokkar",
		["Auchenai Crypts"] = "Cryptes Auchenaï",
		["Mana-Tombs"] = "Tombes-mana",
		["Shadow Labyrinth"] = "Labyrinthe des ombres",
		["Sethekk Halls"] = "Les salles des Sethekk",
		["Hellfire Peninsula"] = "Péninsule des Flammes infernales",
		["The Dark Portal"] = "La Porte des ténèbres",
		["Hellfire Ramparts"] = "Remparts des Flammes infernales",
		["The Blood Furnace"] = "La Fournaise du sang",
		["The Shattered Halls"] = "Les Salles brisées",
		["Magtheridon's Lair"] = "Le repaire de Magtheridon",
		["Nagrand"] = "Nagrand",
		["Zangarmarsh"] = "Marécage de Zangar",
		["The Slave Pens"] = "Les enclos aux esclaves",
		["The Underbog"] = "La Basse-tourbière",
		["The Steamvault"] = "Le Caveau de la vapeur",
		["Serpentshrine Cavern"] = "Caverne du sanctuaire du Serpent",
		["Blade's Edge Mountains"] = "Les Tranchantes",
		["Gruul's Lair"] = "Repaire de Gruul",
		["Netherstorm"] = "Raz-de-Néant",
		["Tempest Keep"] = "Donjon de la Tempête",
		["The Mechanar"] = "Le Méchanar",
		["The Botanica"] = "La Botanica",
		["The Arcatraz"] = "L'Arcatraz",
		["The Eye"] = "L'Œil",
		["Eye of the Storm"] = "L'Œil du cyclone",
		["Shattrath City"] = "Shattrath",
		["Karazhan"] = "Karazhan",
		["Caverns of Time"] = "Grottes du temps",
		["Old Hillsbrad Foothills"] = "Contreforts de Hautebrande d'antan",
		["The Black Morass"] = "Le Noir Marécage",
		["Night Elf Village"] = "Village elfe de la nuit",
		["Horde Encampment"] = "Campement de la Horde",
		["Alliance Base"] = "Base de l'Alliance",
		["Zul'Aman"] = "Zul'Aman",
	}
end)

BabbleZone:RegisterTranslations("zhCN", function()
	return {
		["Azeroth"] = "\232\137\190\230\179\189\230\139\137\230\150\175",
		["Eastern Kingdoms"] = "\228\184\156\233\131\168\231\142\139\229\155\189",
		["Kalimdor"] = "\229\141\161\229\136\169\229\167\134\229\164\154",
		["Outland"] = "\229\164\150\229\159\159",
		["Cosmic map"] = "\229\133\168\233\131\168\229\156\176\229\155\190",

		["Ahn'Qiraj"] = "\229\174\137\229\133\182\230\139\137",
		["Alterac Mountains"] = "\229\165\165\231\137\185\229\133\176\229\133\139\229\177\177\232\132\137",
		["Alterac Valley"] = "\229\165\165\231\137\185\229\133\176\229\133\139\229\177\177\232\176\183",
		["Arathi Basin"] = "\233\152\191\230\139\137\229\184\140\231\155\134\229\156\176",
		["Arathi Highlands"] = "\233\152\191\230\139\137\229\184\140\233\171\152\229\156\176",
		["Ashenvale"] = "\231\129\176\232\176\183",
		["Auberdine"] = "\229\165\165\228\188\175\228\184\129",
		["Azshara"] = "\232\137\190\232\144\168\230\139\137",
		["Badlands"] = "\232\141\146\232\138\156\228\185\139\229\156\176",
		["The Barrens"] = "\232\180\171\231\152\160\228\185\139\229\156\176",
		["Blackfathom Deeps"] = "\233\187\145\230\154\151\230\183\177\230\184\138",
		["Blackrock Depths"] = "\233\187\145\231\159\179\230\183\177\230\184\138",
		["Blackrock Mountain"] = "\233\187\145\231\159\179\229\177\177",
		["Blackrock Spire"] = "\233\187\145\231\159\179\229\161\148",
		["Blackwing Lair"] = "\233\187\145\231\191\188\228\185\139\229\183\162",
		["Blasted Lands"] = "\232\175\133\229\146\146\228\185\139\229\156\176",
		["Booty Bay"] = "\232\151\143\229\174\157\230\181\183\230\185\190",
		["Burning Steppes"] = "\231\135\131\231\131\167\229\185\179\229\142\159",
		["Darkshore"] = "\233\187\145\230\181\183\229\178\184",
		["Darnassus"] = "\232\190\190\231\186\179\232\139\143\230\150\175",
		["The Deadmines"] = "\230\173\187\228\186\161\231\159\191\228\186\149",
		["Deadwind Pass"] = "\233\128\134\233\163\142\229\176\143\229\190\132",
		["Deeprun Tram"] = "\231\159\191\233\129\147\229\156\176\233\147\129",
		["Desolace"] = "\229\135\132\229\135\137\228\185\139\229\156\176",
		["Dire Maul"] = "\229\142\132\232\191\144\228\185\139\230\167\140",
		["Dire Maul (East)"] = "\229\142\132\232\191\144\228\185\139\230\167\140(\228\184\156)",
		["Dire Maul (West)"] = "\229\142\132\232\191\144\228\185\139\230\167\140(\232\165\191)",
		["Dire Maul (North)"] = "\229\142\132\232\191\144\228\185\139\230\167\140(\229\140\151)",
		["Dun Morogh"] = "\228\184\185\232\142\171\231\189\151",
		["Durotar"] = "\230\157\156\233\154\134\229\161\148\229\176\148",
		["Duskwood"] = "\230\154\174\232\137\178\230\163\174\230\158\151",
		["Dustwallow Marsh"] = "\229\176\152\230\179\165\230\178\188\230\179\189",
		["Eastern Plaguelands"] = "\228\184\156\231\152\159\231\150\171\228\185\139\229\156\176",
		["Elwynn Forest"] = "\232\137\190\229\176\148\230\150\135\230\163\174\230\158\151",
		["Everlook"] = "\230\176\184\230\156\155\233\149\135",
		["Felwood"] = "\232\180\185\228\188\141\229\190\183\230\163\174\230\158\151",
		["Feralas"] = "\232\143\178\230\139\137\230\150\175",
		["The Forbidding Sea"] = "\231\166\129\229\191\140\228\185\139\230\181\183",
		["Gadgetzan"] = "\229\138\160\229\159\186\230\163\174",
		["Gates of Ahn'Qiraj"] = "\229\174\137\229\133\182\230\139\137\228\185\139\233\151\168",
		["Gnomeregan"] = "\232\175\186\232\142\171\231\145\158\230\160\185",
		["The Great Sea"] = "\230\151\160\229\176\189\228\185\139\230\181\183",
		["Grom'gol Base Camp"] = "\230\160\188\231\189\151\229\167\134\233\171\152\232\144\165\229\156\176",
		["Hall of Legends"] = "\228\188\160\232\175\180\229\164\167\229\142\133",
		["Hillsbrad Foothills"] = "\229\184\140\229\176\148\230\150\175\229\184\131\232\142\177\229\190\183\228\184\152\233\153\181",
		["The Hinterlands"] = "\232\190\155\231\137\185\229\133\176",
		["Hyjal"] = "\230\181\183\229\138\160\229\176\148\229\177\177",
		["Hyjal Summit"] = "\230\181\183\229\138\160\229\176\148\229\179\176",
		["Ironforge"] = "\233\147\129\231\130\137\229\160\161",
		["Loch Modan"] = "\230\180\155\229\133\139\232\142\171\228\184\185",
		["Lower Blackrock Spire"] = "\233\187\145\231\159\179\229\161\148\239\188\136\228\184\139\229\177\130\239\188\137",
		["Maraudon"] = "\231\142\155\230\139\137\233\161\191",
		["Menethil Harbor"] = "\231\177\179\229\165\136\229\184\140\229\176\148\230\184\175",
		["Molten Core"] = "\231\134\148\231\129\171\228\185\139\229\191\131",
		["Moonglade"] = "\230\156\136\229\133\137\230\158\151\229\156\176",
		["Mulgore"] = "\232\142\171\233\171\152\233\155\183",
		["Naxxramas"] = "\231\186\179\229\133\139\232\144\168\231\142\155\230\150\175",
		["Onyxia's Lair"] = "\229\165\165\229\166\174\229\133\139\229\184\140\228\186\154\231\154\132\229\183\162\231\169\180",
		["Orgrimmar"] = "\229\165\165\230\160\188\231\145\158\231\142\155",
		["Ratchet"] = "\230\163\152\233\189\191\229\159\142",
		["Ragefire Chasm"] = "\230\128\146\231\132\176\232\163\130\232\176\183",
		["Razorfen Downs"] = "\229\137\131\229\136\128\233\171\152\229\156\176",
		["Razorfen Kraul"] = "\229\137\131\229\136\128\230\178\188\230\179\189",
		["Redridge Mountains"] = "\232\181\164\232\132\138\229\177\177",
		["Ruins of Ahn'Qiraj"] = "\229\174\137\229\133\182\230\139\137\229\186\159\229\162\159",
		["Scarlet Monastery"] = "\232\161\128\232\137\178\228\191\174\233\129\147\233\153\162",
		["Scholomance"] = "\233\128\154\231\129\181\229\173\166\233\153\162",
		["Searing Gorge"] = "\231\129\188\231\131\173\229\179\161\232\176\183",
		["Shadowfang Keep"] = "\229\189\177\231\137\153\229\159\142\229\160\161",
		["Silithus"] = "\229\184\140\229\136\169\232\139\143\230\150\175",
		["Silverpine Forest"] = "\233\147\182\230\157\190\230\163\174\230\158\151",
		["The Stockade"] = "\231\155\145\231\139\177",
		["Stonetalon Mountains"] = "\231\159\179\231\136\170\229\177\177\232\132\137",
		["Stormwind City"] = "\230\154\180\233\163\142\229\159\142",
		["Stranglethorn Vale"] = "\232\141\134\230\163\152\232\176\183",
		["Stratholme"] = "\230\150\175\229\157\166\231\180\162\229\167\134",
		["Swamp of Sorrows"] = "\230\130\178\228\188\164\230\178\188\230\179\189",
		["Tanaris"] = "\229\161\148\231\186\179\229\136\169\230\150\175",
		["Teldrassil"] = "\230\179\176\232\190\190\229\184\140\229\176\148",
		["Temple of Ahn'Qiraj"] = "\229\174\137\229\133\182\230\139\137\231\165\158\230\174\191",
		["The Temple of Atal'Hakkar"] = "\233\152\191\229\161\148\229\147\136\229\141\161\231\165\158\229\186\153",
		["Theramore Isle"] = "\229\161\158\230\139\137\230\145\169\229\178\155",
		["Thousand Needles"] = "\229\141\131\233\146\136\231\159\179\230\158\151",
		["Thunder Bluff"] = "\233\155\183\233\156\134\229\180\150",
		["Tirisfal Glades"] = "\230\143\144\231\145\158\230\150\175\230\179\149\230\158\151\229\156\176",
		["Uldaman"] = "\229\165\165\232\190\190\230\155\188",
		["Un'Goro Crater"] = "\229\174\137\230\136\136\230\180\155\231\142\175\229\189\162\229\177\177",
		["Undercity"] = "\229\185\189\230\154\151\229\159\142",
		["Upper Blackrock Spire"] = "\233\187\145\231\159\179\229\161\148\239\188\136\228\184\138\229\177\130\239\188\137",
		["Wailing Caverns"] = "\229\147\128\229\154\142\230\180\158\231\169\180",
		["Warsong Gulch"] = "\230\136\152\230\173\140\229\179\161\232\176\183",
		["Western Plaguelands"] = "\232\165\191\231\152\159\231\150\171\228\185\139\229\156\176",
		["Westfall"] = "\232\165\191\233\131\168\232\141\146\233\135\142",
		["Wetlands"] = "\230\185\191\229\156\176",
		["Winterspring"] = "\229\134\172\230\179\137\232\176\183",
		["Zul'Farrak"] = "\231\165\150\229\176\148\230\179\149\230\139\137\229\133\139",
		["Zul'Gurub"] = "\231\165\150\229\176\148\230\160\188\230\139\137\229\184\131",

		["Champions' Hall"] = "\229\139\135\229\163\171\229\164\167\229\142\133",
		["Blade's Edge Arena"] = "\229\136\128\233\148\139\229\177\177\231\171\158\230\138\128\229\156\186",
		["Nagrand Arena"] = "\231\186\179\230\160\188\229\133\176\231\171\158\230\138\128\229\156\186",
		["Ruins of Lordaeron"] = "\230\180\155\228\184\185\228\188\166\229\186\159\229\162\159",
		["Twisting Nether"] = "\230\137\173\230\155\178\232\153\154\231\169\186",
		["The Veiled Sea"] = "\232\191\183\233\155\190\228\185\139\230\181\183",
		["The North Sea"] = "\229\140\151\230\181\183",
		["Armory"] = "\229\134\155\230\162\176\229\186\147",
		["Library"] = "\229\155\190\228\185\166\233\166\134",
		["Cathedral"] = "\230\149\153\229\160\130",
		["Graveyard"] = "\229\162\147\229\156\176",

		-- Burning Crusade

		-- Subzones used for displaying instances.
		["Plaguewood"] = "\231\151\133\230\156\168\230\158\151",
		["Hellfire Citadel"] = "\229\156\176\231\139\177\231\129\171\229\160\161\229\158\146",
		["Auchindoun"] = "\229\165\165\233\135\145\233\161\191",
		["The Bone Wastes"] = "\231\153\189\233\170\168\232\141\146\233\135\142",
		["Ring of Observance"] = "\228\187\170\229\188\143\229\185\191\229\156\186",
		["Coilfang Reservoir"] = "\231\155\152\231\137\153\230\176\180\229\186\147",

		["Azuremyst Isle"] = "\231\167\152\232\147\157\229\178\155",
		["Bloodmyst Isle"] = "\231\167\152\232\161\128\229\178\155",
		["Eversong Woods"] = "\230\176\184\230\173\140\230\163\174\230\158\151",
		["Ghostlands"] = "\229\185\189\233\173\130\228\185\139\229\156\176",
		["The Exodar"] = "\229\159\131\231\180\162\232\190\190",
		["Silvermoon City"] = "\233\147\182\230\156\136\229\159\142",
		["Shadowmoon Valley"] = "\229\189\177\230\156\136\232\176\183",
		["Black Temple"] = "\233\187\145\230\154\151\231\165\158\230\174\191",
		["Terokkar Forest"] = "\230\179\176\231\189\151\229\141\161\230\163\174\230\158\151",
		["Auchenai Crypts"] = "\229\165\165\233\135\145\229\176\188\229\156\176\231\169\180",
		["Mana-Tombs"] = "\230\179\149\229\138\155\233\153\181\229\162\147",
		["Shadow Labyrinth"] = "\230\154\151\229\189\177\232\191\183\229\174\171",
		["Sethekk Halls"] = "\229\161\158\230\179\176\229\133\139\229\164\167\229\142\133",
		["Hellfire Peninsula"] = "\229\156\176\231\139\177\231\129\171\229\141\138\229\178\155",
		["The Dark Portal"] = "\233\187\145\230\154\151\228\185\139\233\151\168",
		["Hellfire Ramparts"] = "\229\156\176\231\139\177\231\129\171\229\159\142\229\162\153",
		["The Blood Furnace"] = "\233\178\156\232\161\128\231\134\148\231\130\137",
		["The Shattered Halls"] = "\231\160\180\231\162\142\229\164\167\229\142\133",
		["Magtheridon's Lair"] = "\231\142\155\231\145\159\233\135\140\233\161\191\231\154\132\229\183\162\231\169\180",
		["Nagrand"] = "\231\186\179\230\160\188\229\133\176",
		["Zangarmarsh"] = "\232\181\158\229\138\160\230\178\188\230\179\189",
		["The Slave Pens"] = "\229\165\180\233\154\182\229\155\180\230\160\143",
		["The Underbog"] = "\229\185\189\230\154\151\230\178\188\230\179\189",
		["The Steamvault"] = "\232\146\184\230\177\189\229\156\176\231\170\159",
		["Serpentshrine Cavern"] = "\230\175\146\232\155\135\231\165\158\230\174\191",
		["Blade's Edge Mountains"] = "\229\136\128\233\148\139\229\177\177",
		["Gruul's Lair"] = "\230\160\188\233\178\129\229\176\148\231\154\132\229\183\162\231\169\180",
		["Netherstorm"] = "\232\153\154\231\169\186\233\163\142\230\154\180",
		["Tempest Keep"] = "\233\163\142\230\154\180\232\166\129\229\161\158",
		["The Mechanar"] = "\232\131\189\230\186\144\232\136\176",
		["The Botanica"] = "\231\148\159\230\128\129\232\136\185",
		["The Arcatraz"] = "\231\166\129\233\173\148\231\155\145\231\139\177",
		["The Eye"] = "\233\163\142\230\154\180\232\166\129\229\161\158",
		["Eye of the Storm"] = "\233\163\142\230\154\180\228\185\139\231\156\188",
		["Shattrath City"] = "\230\178\153\229\161\148\230\150\175\229\159\142",
		["Karazhan"] = "\229\141\161\230\139\137\232\181\158",
		["Caverns of Time"] = "\230\151\182\229\133\137\228\185\139\231\169\180",
		["Old Hillsbrad Foothills"] = "\230\151\167\229\184\140\229\176\148\230\150\175\229\184\131\232\142\177\229\190\183\228\184\152\233\153\181",
		["The Black Morass"] = "\233\187\145\232\137\178\230\178\188\230\179\189",
		["Night Elf Village"] = "\230\154\151\229\164\156\231\178\190\231\129\181\230\157\145\229\186\132",
		["Horde Encampment"] = "\233\131\168\232\144\189\232\144\165\229\156\176",
		["Alliance Base"] = "\232\129\148\231\155\159\229\159\186\229\156\176",
		["Zul'Aman"] = "\231\165\150\233\152\191\230\155\188",
	}
end)

BabbleZone:RegisterTranslations("zhTW", function()
	return {
		["Azeroth"] = "艾澤拉斯",
		["Eastern Kingdoms"] = "東部王國",
		["Kalimdor"] = "卡林多",
		["Outland"] = "外域",
		["Cosmic map"] = "宇宙地圖",

		["Ahn'Qiraj"] = "安其拉",
		["Alterac Mountains"] = "奧特蘭克山脈",
		["Alterac Valley"] = "奧特蘭克山谷",
		["Arathi Basin"] = "阿拉希盆地",
		["Arathi Highlands"] = "阿拉希高地",
		["Ashenvale"] = "梣谷",
		["Auberdine"] = "奧伯丁",
		["Azshara"] = "艾薩拉",
		["Badlands"] = "荒蕪之地",
		["The Barrens"] = "貧瘠之地",
		["Blackfathom Deeps"] = "黑暗深淵",
		["Blackrock Depths"] = "黑石深淵",
		["Blackrock Mountain"] = "黑石山",
		["Blackrock Spire"] = "黑石塔",
		["Blackwing Lair"] = "黑翼之巢",
		["Blasted Lands"] = "詛咒之地",
		["Booty Bay"] = "藏寶海灣",
		["Burning Steppes"] = "燃燒平原",
		["Darkshore"] = "黑海岸",
		["Darnassus"] = "達納蘇斯",
		["The Deadmines"] = "死亡礦坑",
		["Deadwind Pass"] = "逆風小徑",
		["Deeprun Tram"] = "礦道地鐵",
		["Desolace"] = "淒涼之地",
		["Dire Maul"] = "厄運之槌",
		["Dire Maul (East)"] = "厄運之槌 - 東",
		["Dire Maul (West)"] = "厄運之槌 - 西",
		["Dire Maul (North)"] = "厄運之槌 - 北",
		["Dun Morogh"] = "丹莫洛",
		["Durotar"] = "杜洛塔",
		["Duskwood"] = "暮色森林",
		["Dustwallow Marsh"] = "塵泥沼澤",
		["Eastern Plaguelands"] = "東瘟疫之地",
		["Elwynn Forest"] = "艾爾文森林",
		["Everlook"] = "永望鎮",
		["Felwood"] = "費伍德森林",
		["Feralas"] = "菲拉斯",
		["The Forbidding Sea"] = "禁忌之海",
		["Gadgetzan"] = "加基森",
		["Gates of Ahn'Qiraj"] = "安其拉之門",
		["Gnomeregan"] = "諾姆瑞根",
		["The Great Sea"] = "無盡之海",
		["Grom'gol Base Camp"] = "格羅姆高營地",
		["Hall of Legends"] = "傳說大廳",
		["Hillsbrad Foothills"] = "希爾斯布萊德丘陵",
		["The Hinterlands"] = "辛特蘭",
		["Hyjal"] = "海加爾山",
		["Hyjal Summit"] = "海加爾山",
		["Ironforge"] = "鐵爐堡",
		["Loch Modan"] = "洛克莫丹",
		["Lower Blackrock Spire"] = "低階黑石塔",
		["Maraudon"] = "瑪拉頓",
		["Menethil Harbor"] = "米奈希爾港",
		["Molten Core"] = "熔火之心",
		["Moonglade"] = "月光林地",
		["Mulgore"] = "莫高雷",
		["Naxxramas"] = "納克薩瑪斯",
		["Onyxia's Lair"] = "奧妮克希亞的巢穴",
		["Orgrimmar"] = "奧格瑪",
		["Ratchet"] = "棘齒城",
		["Ragefire Chasm"] = "怒焰裂谷",
		["Razorfen Downs"] = "剃刀高地",
		["Razorfen Kraul"] = "剃刀沼澤",
		["Redridge Mountains"] = "赤脊山",
		["Ruins of Ahn'Qiraj"] = "安其拉廢墟",
		["Scarlet Monastery"] = "血色修道院",
		["Scholomance"] = "通靈學院",
		["Searing Gorge"] = "灼熱峽谷",
		["Shadowfang Keep"] = "影牙城堡",
		["Silithus"] = "希利蘇斯",
		["Silverpine Forest"] = "銀松森林",
		["The Stockade"] = "監獄",
		["Stonetalon Mountains"] = "石爪山脈",
		["Stormwind City"] = "暴風城",
		["Stranglethorn Vale"] = "荊棘谷",
		["Stratholme"] = "斯坦索姆",
		["Swamp of Sorrows"] = "悲傷沼澤",
		["Tanaris"] = "塔納利斯",
		["Teldrassil"] = "泰達希爾",
		["Temple of Ahn'Qiraj"] = "安其拉神廟",
		["The Temple of Atal'Hakkar"] = "阿塔哈卡神廟",
		["Theramore Isle"] = "塞拉摩島",
		["Thousand Needles"] = "千針石林",
		["Thunder Bluff"] = "雷霆崖",
		["Tirisfal Glades"] = "提里斯法林地",
		["Uldaman"] = "奧達曼",
		["Un'Goro Crater"] = "安戈洛環形山",
		["Undercity"] = "幽暗城",
		["Upper Blackrock Spire"] = "高階黑石塔",
		["Wailing Caverns"] = "哀嚎洞穴",
		["Warsong Gulch"] = "戰歌峽谷",
		["Western Plaguelands"] = "西瘟疫之地",
		["Westfall"] = "西部荒野",
		["Wetlands"] = "濕地",
		["Winterspring"] = "冬泉谷",
		["Zul'Farrak"] = "祖爾法拉克",
		["Zul'Gurub"] = "祖爾格拉布",

		["Champions' Hall"] = "勇士大廳",
		["Blade's Edge Arena"] = "劍刃競技場",
		["Nagrand Arena"] = "納葛蘭競技場",
		["Ruins of Lordaeron"] = "羅德隆廢墟",
		["Twisting Nether"] = "扭曲虛空",
		["The Veiled Sea"] = "迷霧之海",
		["The North Sea"] = "北方海岸",
		["Armory"] = "軍械庫",
		["Library"] = "圖書館",
		["Cathedral"] = "教堂",
		["Graveyard"] = "墓地",

		-- Burning Crusade

		-- Subzones used for displaying instances.
		["Plaguewood"] = "病木林",
		["Hellfire Citadel"] = "地獄火堡壘",
		["Auchindoun"] = "奧齊頓",
		["The Bone Wastes"] = "白骨荒野", -- Substitute for Auchindoun, since this is what shows on the minimap.
		["Ring of Observance"] = "儀式競技場",
		["Coilfang Reservoir"] = "盤牙洞穴",

		["Azuremyst Isle"] = "藍謎島",
		["Bloodmyst Isle"] = "血謎島",
		["Eversong Woods"] = "永歌森林",
		["Ghostlands"] = "鬼魂之地",
		["The Exodar"] = "艾克索達",
		["Silvermoon City"] = "銀月城",
		["Shadowmoon Valley"] = "影月谷",
		["Black Temple"] = "黑暗神廟",
		["Terokkar Forest"] = "泰洛卡森林",
		["Auchenai Crypts"] = "奧奇奈地穴",
		["Mana-Tombs"] = "法力墓地",
		["Shadow Labyrinth"] = "暗影迷宮",
		["Sethekk Halls"] = "塞司克大廳",
		["Hellfire Peninsula"] = "地獄火半島",
		["The Dark Portal"] = "黑暗之門",
		["Hellfire Ramparts"] = "地獄火壁壘",
		["The Blood Furnace"] = "血熔爐",
		["The Shattered Halls"] = "破碎大廳",
		["Magtheridon's Lair"] = "瑪瑟里頓的巢穴",
		["Nagrand"] = "納葛蘭",
		["Zangarmarsh"] = "贊格沼澤",
		["The Slave Pens"] = "奴隸監獄",
		["The Underbog"] = "深幽泥沼",
		["The Steamvault"] = "蒸汽洞窟",
		["Serpentshrine Cavern"] = "毒蛇神殿洞穴",
		["Blade's Edge Mountains"] = "劍刃山脈",
		["Gruul's Lair"] = "戈魯爾之巢",
		["Netherstorm"] = "虛空風暴",
		["Tempest Keep"] = "風暴要塞",
		["The Mechanar"] = "麥克納爾",
		["The Botanica"] = "波塔尼卡",
		["The Arcatraz"] = "亞克崔茲",
		["The Eye"] = "風暴要塞",
		["Eye of the Storm"] = "暴風之眼",
		["Shattrath City"] = "撒塔斯城",
		["Karazhan"] = "卡拉贊",
		["Caverns of Time"] = "時光之穴",
		["Old Hillsbrad Foothills"] = "希爾斯布萊德丘陵舊址",
		["The Black Morass"] = "黑色沼澤",
		["Night Elf Village"] = "夜精靈村",
		["Horde Encampment"] = "部落營地",
		["Alliance Base"] = "聯盟營地",
		["Zul'Aman"] = "祖阿曼",
	}
end)

BabbleZone:RegisterTranslations("koKR", function()
	return {
		["Azeroth"] = "아제로스",
		["Eastern Kingdoms"] = "동부 왕국",
		["Kalimdor"] = "칼림도어",
		["Outland"] = "아웃랜드",
		["Cosmic map"] = "세계 지도",

		["Ahn'Qiraj"] = "안퀴라즈",
		["Alterac Mountains"] = "알터랙 산맥",
		["Alterac Valley"] = "알터랙 계곡",
		["Arathi Basin"] = "아라시 분지",
		["Arathi Highlands"] = "아라시 고원",
		["Ashenvale"] = "잿빛 골짜기",
		["Auberdine"] = "아우버다인",
		["Azshara"] = "아즈샤라",
		["Badlands"] = "황야의 땅",
		["The Barrens"] = "불모의 땅",
		["Blackfathom Deeps"] = "검은심연의 나락",
		["Blackrock Depths"] = "검은바위 나락",
		["Blackrock Mountain"] = "검은바위 산",
		["Blackrock Spire"] = "검은바위 첨탑",
		["Blackwing Lair"] = "검은날개 둥지",
		["Blasted Lands"] = "저주받은 땅",
		["Booty Bay"] = "무법항",
		["Burning Steppes"] = "불타는 평원",
		["Darkshore"] = "어둠의 해안",
		["Darnassus"] = "다르나서스",
		["The Deadmines"] = "죽음의 폐광",
		["Deadwind Pass"] = "죽음의 고개",
		["Deeprun Tram"] = "깊은굴 지하철",
		["Desolace"] = "잊혀진 땅",
		["Dire Maul"] = "혈투의 전장",
		["Dire Maul (East)"] = "혈투의 전장 동부",
		["Dire Maul (West)"] = "혈투의 전장 서부",
		["Dire Maul (North)"] = "혈투의 전장 북부",
		["Dun Morogh"] = "던 모로",
		["Durotar"] = "듀로타",
		["Duskwood"] = "그늘숲",
		["Dustwallow Marsh"] = "먼지진흙 습지대",
		["Eastern Plaguelands"] = "동부 역병지대",
		["Elwynn Forest"] = "엘윈 숲",
		["Everlook"] = "눈망루 마을",
		["Felwood"] = "악령의 숲",
		["Feralas"] = "페랄라스",
		["The Forbidding Sea"] = "성난폭풍 해안",
		["Gadgetzan"] = "가젯잔",
		["Gates of Ahn'Qiraj"] = "안퀴라즈 성문",
		["Gnomeregan"] = "놈리건",
		["The Great Sea"] = "대해",
		["Grom'gol Base Camp"] = "그롬골 주둔지",
		["Hall of Legends"] = "전설의 전당",
		["Hillsbrad Foothills"] = "힐스브래드 구릉지",
		["The Hinterlands"] = "동부 내륙지",
		["Hyjal"] = "하이잘",
		["Hyjal Summit"] = "하이잘 정상",
		["Ironforge"] = "아이언포지",
		["Loch Modan"] = "모단 호수",
		["Lower Blackrock Spire"] = "검은바위 첨탑 하층",
		["Maraudon"] = "마라우돈",
		["Menethil Harbor"] = "메네실 항구",
		["Molten Core"] = "화산 심장부",
		["Moonglade"] = "달의 숲",
		["Mulgore"] = "멀고어",
		["Naxxramas"] = "낙스라마스",
		["Onyxia's Lair"] = "오닉시아의 둥지",
		["Orgrimmar"] = "오그리마",
		["Ratchet"] = "톱니항",
		["Ragefire Chasm"] = "성난불길 협곡",
		["Razorfen Downs"] = "가시덩굴 구릉",
		["Razorfen Kraul"] = "가시덩굴 우리",
		["Redridge Mountains"] = "붉은마루 산맥",
		["Ruins of Ahn'Qiraj"] = "안퀴라즈 폐허",
		["Scarlet Monastery"] = "붉은십자군 수도원",
		["Scholomance"] = "스칼로맨스",
		["Searing Gorge"] = "이글거리는 협곡",
		["Shadowfang Keep"] = "그림자송곳니 성채",
		["Silithus"] = "실리더스",
		["Silverpine Forest"] = "은빛소나무 숲",
		["The Stockade"] = "스톰윈드 지하감옥",
		["Stonetalon Mountains"] = "돌발톱 산맥",
		["Stormwind City"] = "스톰윈드",
		["Stranglethorn Vale"] = "가시덤불 골짜기",
		["Stratholme"] = "스트라솔름",
		["Swamp of Sorrows"] = "슬픔의 늪",
		["Tanaris"] = "타나리스",
		["Teldrassil"] = "텔드랏실",
		["Temple of Ahn'Qiraj"] = "안퀴라즈 사원",
		["The Temple of Atal'Hakkar"] = "아탈학카르 신전",
		["Theramore Isle"] = "테라모어 섬",
		["Thousand Needles"] = "버섯구름 봉우리",
		["Thunder Bluff"] = "썬더 블러프",
		["Tirisfal Glades"] = "티리스팔 숲",
		["Uldaman"] = "울다만",
		["Un'Goro Crater"] = "운고로 분화구",
		["Undercity"] = "언더시티",
		["Upper Blackrock Spire"] = "검은바위 첨탑 상층",
		["Wailing Caverns"] = "통곡의 동굴",
		["Warsong Gulch"] = "전쟁노래 협곡",
		["Western Plaguelands"] = "서부 역병지대",
		["Westfall"] = "서부 몰락지대",
		["Wetlands"] = "저습지",
		["Winterspring"] = "여명의 설원",
		["Zul'Farrak"] = "줄파락",
		["Zul'Gurub"] = "줄구룹",

		["Champions' Hall"] = "용사의 전당",
		["Blade's Edge Arena"] = "칼날 투기장",
		["Nagrand Arena"] = "나그란드 투기장",
		["Ruins of Lordaeron"] = "로데론의 폐허",
		["Twisting Nether"] = "뒤틀린 황천",
		["The Veiled Sea"] = "장막의 바다",
		["The North Sea"] = "북해", -- check
		["Armory"] = "무기고",
		["Library"] = "도서관",
		["Cathedral"] = "대성당",
		["Graveyard"] = "묘지",

		-- Burning Crusade

		-- Subzones used for displaying instances.
		["Plaguewood"] = "역병의 숲", -- check
		["Hellfire Citadel"] = "지옥불 성채",
		["Auchindoun"] = "아킨둔",
		["The Bone Wastes"] = "해골 무덤", -- Substitute for Auchindoun, since this is what shows on the minimap.
		["Ring of Observance"] = "규율의 광장",
		["Coilfang Reservoir"] = "갈퀴송곳니 저수지",

		["Azuremyst Isle"] = "하늘안개 섬",
		["Bloodmyst Isle"] = "핏빛안개 섬",
		["Eversong Woods"] = "영원노래 숲",
		["Ghostlands"] = "유령의 땅",
		["The Exodar"] = "엑소다르",
		["Silvermoon City"] = "실버문",
		["Shadowmoon Valley"] = "어둠달 골짜기",
		["Black Temple"] = "검은 사원",
		["Terokkar Forest"] = "테로카르 숲",
		["Auchenai Crypts"] = "아키나이 납골당",
		["Mana-Tombs"] = "마나 무덤",
		["Shadow Labyrinth"] = "어둠의 미궁",
		["Sethekk Halls"] = "세데크 전당",
		["Hellfire Peninsula"] = "지옥불 반도",
		["The Dark Portal"] = "어둠의 문",
		["Hellfire Ramparts"] = "지옥불 성루",
		["The Blood Furnace"] = "피의 용광로",
		["The Shattered Halls"] = "으스러진 손의 전당",
		["Magtheridon's Lair"] = "마그테리돈의 둥지",
		["Nagrand"] = "나그란드",
		["Zangarmarsh"] = "장가르 습지대",
		["The Slave Pens"] = "강제 노역소",
		["The Underbog"] = "지하수렁",
		["The Steamvault"] = "증기 저장고",
		["Serpentshrine Cavern"] = "불뱀 제단",
		["Blade's Edge Mountains"] = "칼날 산맥",
		["Gruul's Lair"] = "그룰의 둥지",
		["Netherstorm"] = "황천의 폭풍",
		["Tempest Keep"] = "폭풍우 요새",
		["The Mechanar"] = "메카나르",
		["The Botanica"] = "신록의 정원",
		["The Arcatraz"] = "알카트라즈",
		["The Eye"] = "눈", -- check
		["Eye of the Storm"] = "폭풍의 눈",
		["Shattrath City"] = "샤트라스",
		["Karazhan"] = "카라잔",
		["Caverns of Time"] = "시간의 동굴",
		["Old Hillsbrad Foothills"] = "옛 힐스브래드 구릉지",
		["The Black Morass"] = "검은늪",
		["Night Elf Village"] = "나이트 엘프 마을",
		["Horde Encampment"] = "호드 야영지",
		["Alliance Base"] = "얼라이언스 주둔지",
		["Zul'Aman"] = "줄아만",
	}
end)

BabbleZone:RegisterTranslations("esES", function()
	return {
		["Azeroth"] = "Azeroth",
		["Eastern Kingdoms"] = "Reinos del Este",
		["Kalimdor"] = "Kalimdor",
		["Outland"] = "Terrallende",
		["Cosmic map"] = "Mapa c\195\179smico",

		["Ahn'Qiraj"] = "Ahn'Qiraj",
		["Alterac Mountains"] = "Monta\195\177as de Alterac",
		["Alterac Valley"] = "Valle de Alterac",
		["Arathi Basin"] = "Cuenca de Arathi",
		["Arathi Highlands"] = "Tierras Altas de Arathi",
		["Ashenvale"] = "Vallefresno",
		["Auberdine"] = "Auberdine",
		["Azshara"] = "Azshara",
		["Badlands"] = "Tierras Inh\195\179spitas",
		["The Barrens"] = "Los Bald\195\173os",
		["Blackfathom Deeps"] = "Cavernas de Brazanegra",
		["Blackrock Depths"] = "Profundidades de Roca Negra",
		["Blackrock Mountain"] = "Monta\195\177a Roca Negra",
		["Blackrock Spire"] = "Cumbre de Roca Negra",
		["Blackwing Lair"] = "Guarida Alanegra",
		["Blasted Lands"] = "Las Tierras Devastadas",
		["Booty Bay"] = "Bah\195\173a del Bot\195\173n",
		["Burning Steppes"] = "Las Estepas Ardientes",
		["Darkshore"] = "Costa Oscura",
		["Darnassus"] = "Darnassus",
		["The Deadmines"] = "Las Minas de la Muerte",
		["Deadwind Pass"] = "Paso de la Muerte",
		["Deeprun Tram"] = "Tren Subterr\195\161neo",
		["Desolace"] = "Desolace",
		["Dire Maul"] = "La Masacre",
		["Dire Maul (East)"] = "La Masacre (Este)",
		["Dire Maul (West)"] = "La Masacre (Oeste)",
		["Dire Maul (North)"] = "La Masacre (Norte)",
		["Dun Morogh"] = "Dun Morogh",
		["Durotar"] = "Durotar",
		["Duskwood"] = "Bosque del Ocaso",
		["Dustwallow Marsh"] = "Marjal Revolcafango",
		["Eastern Plaguelands"] = "Tierras de la Peste del Este",
		["Elwynn Forest"] = "Bosque de Elwynn",
		["Everlook"] = "Vista Eterna",
		["Felwood"] = "Frondavil",
		["Feralas"] = "Feralas",
		["The Forbidding Sea"] = "Mar Adusto",
		["Gadgetzan"] = "Gadgetzan",
		["Gates of Ahn'Qiraj"] = "Puertas de Ahn'Qiraj",
		["Gnomeregan"] = "Gnomeregan",
		["The Great Sea"] = "Mare Magnum",
		["Grom'gol Base Camp"] = "Campamento Grom'gol",
		["Hall of Legends"] = "Sala de las Leyendas",
		["Hillsbrad Foothills"] = "Laderas de Trabalomas",
		["The Hinterlands"] = "Tierras del Interior",
		["Hyjal"] = "Hyjal",
		["Hyjal Summit"] = "Hyjal Summit",
		["Ironforge"] = "Forjaz",
		["Loch Modan"] = "Loch Modan",
		["Lower Blackrock Spire"] = "Cumbre inferior de Roca Negra",
		["Maraudon"] = "Maraudon",
		["Menethil Harbor"] = "Puerto de Menethil",
		["Molten Core"] = "N\195\186cleo de Magma",
		["Moonglade"] = "Claro de la Luna",
		["Mulgore"] = "Mulgore",
		["Naxxramas"] = "Naxxramas",
		["Onyxia's Lair"] = "Guarida de Onyxia",
		["Orgrimmar"] = "Orgrimmar",
		["Ratchet"] = "Trinquete",
		["Ragefire Chasm"] = "Sima \195\173gnea",
		["Razorfen Downs"] = "Zah\195\186rda Rojocieno",
		["Razorfen Kraul"] = "Horado Rajacieno",
		["Redridge Mountains"] = "Monta\195\177as Crestagrana",
		["Ruins of Ahn'Qiraj"] = "Ruinas de Ahn'Qiraj",
		["Scarlet Monastery"] = "Monasterio Escarlata",
		["Scholomance"] = "Scholomance",
		["Searing Gorge"] = "La Garganta de Fuego",
		["Shadowfang Keep"] = "Castillo de Colmillo Oscuro",
		["Silithus"] = "Silithus",
		["Silverpine Forest"] = "Bosque de Arg\195\169nteos",
		["The Stockade"] = "Mazmorras de Ventormenta",
		["Stonetalon Mountains"] = "Sierra Espol\195\179n",
		["Stormwind City"] = "Ciudad de Ventormenta",
		["Stranglethorn Vale"] = "Vega de Tuercespina",
		["Stratholme"] = "Stratholme",
		["Swamp of Sorrows"] = "Pantano de las Penas",
		["Tanaris"] = "Tanaris",
		["Teldrassil"] = "Teldrassil",
		["Temple of Ahn'Qiraj"] = "Templo de Ahn'Qiraj",
		["The Temple of Atal'Hakkar"] = "Templo de Atal'Hakkar",
		["Theramore Isle"] = "Isla Theramore",
		["Thousand Needles"] = "Las Mil Agujas",
		["Thunder Bluff"] = "Cima del Trueno",
		["Tirisfal Glades"] = "Claros de Tirisfal",
		["Uldaman"] = "Uldaman",
		["Un'Goro Crater"] = "Cr\195\161ter de Un'Goro",
		["Undercity"] = "Entra\195\177as",
		["Upper Blackrock Spire"] = "Cumbre de Roca Negra",
		["Wailing Caverns"] = "Cuevas de los Lamentos",
		["Warsong Gulch"] = "Garganta Grito de Guerra",
		["Western Plaguelands"] = "Tierras de la Peste del Oeste",
		["Westfall"] = "P\195\161ramos de Poniente",
		["Wetlands"] = "Los Humedales",
		["Winterspring"] = "Cuna del Invierno",
		["Zul'Farrak"] = "Zul'Farrak",
		["Zul'Gurub"] = "Zul'Gurub",

		["Champions' Hall"] = "Sala de los Campeones",
		["Blade's Edge Arena"] = "Arena Filospada",
		["Nagrand Arena"] = "Arena de Nagrand",
		["Ruins of Lordaeron"] = "Ruinas de Lordaeron", -- check
		["Twisting Nether"] = "El Vac\195\173o Abisal",
		["The Veiled Sea"] = "Mar de la Bruma",
		["The North Sea"] = "El Mar Norte",
		["Armory"] = "Armer\195\173a",
		["Library"] = "Biblioteca",
		["Cathedral"] = "Catedral",
		["Graveyard"] = "Cementerio",

		-- Burning Crusade

		-- Subzones used for displaying instances.
		["Plaguewood"] = "Bosque de la Plaga",
		["Hellfire Citadel"] = "Ciudadela del Fuego Infernal",
		["Auchindoun"] = "Auchindoun",
		["The Bone Wastes"] = "El Vertedero de Huesos",
		["Ring of Observance"] = "C\195\173rculo de la Observancia",
		["Coilfang Reservoir"] = "Reserva Colmillo Torcido",

		["Azuremyst Isle"] = "Isla Bruma Azur",
		["Bloodmyst Isle"] = "Isla Bruma de Sangre",
		["Eversong Woods"] = "Bosque Canci\195\179n Eterna",
		["Ghostlands"] = "Tierras Fantasma",
		["The Exodar"] = "El Exodar",
		["Silvermoon City"] = "Ciudad de Lunargenta",
		["Shadowmoon Valley"] = "Valle Sombraluna",
		["Black Temple"] = "El Templo Oscuro",          -- check
		["Terokkar Forest"] = "Bosque de Terokkar",
		["Auchenai Crypts"] = "Criptas Auchenai",
		["Mana-Tombs"] = "Tumbas de Man\195\161",
		["Shadow Labyrinth"] = "Laberinto de las Sombras",
		["Sethekk Halls"] = "Salas Sethekk",
		["Hellfire Peninsula"] = "Pen\195\173nsula del Fuego Infernal",
		["The Dark Portal"] = "El Portal Oscuro",
		["Hellfire Ramparts"] = "Murallas del Fuego Infernal",
		["The Blood Furnace"] = "El Horno de Sangre",
		["The Shattered Halls"] = "Las Salas Arrasadas",
		["Magtheridon's Lair"] = "Guarida de Magtheridon",   -- check - Magtheradon /Magtheridon ??
		["Nagrand"] = "Nagrand",
		["Zangarmarsh"] = "Marisma de Zangar",
		["The Slave Pens"] = "Recinto de los Esclavos",
		["The Underbog"] = "La Soti\195\169naga",
		["The Steamvault"] = "La C\195\161mara de Vapor",
		["Serpentshrine Cavern"] = "Caverna Santuario Serpiente",    -- check
		["Blade's Edge Mountains"] = "Monta\195\177as Filospada",
		["Gruul's Lair"] = "Guarida de Gruul",
		["Netherstorm"] = "Tormenta Abisal",
		["Tempest Keep"] = "El Castillo de la Tempestad",
		["The Mechanar"] = "El Mechanar",
		["The Botanica"] = "El Invern\195\161culo",
		["The Arcatraz"] = "El Alcatraz",
		["The Eye"] = "El Ojo",  -- check
		["Eye of the Storm"] = "Ojo de la Tormenta",
		["Shattrath City"] = "Ciudad de Shattrath",
		["Karazhan"] = "Karazhan",
		["Caverns of Time"] = "Cavernas del Tiempo",
		["Old Hillsbrad Foothills"] = "Viejas Laderas de Trabalomas",   -- doesn't work in spanish anyway
		["The Black Morass"] = "La Ci\195\169naga Negra",
--		["Night Elf Village"] = true,
--		["Horde Encampment"] = true,
--		["Alliance Base"] = true,
		["Zul'Aman"] = "Zul'Aman",
	}
end)


BabbleZone:Debug()
BabbleZone:SetStrictness(true)

AceLibrary:Register(BabbleZone, MAJOR_VERSION, MINOR_VERSION)
BabbleZone = nil